> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enso.build/llms.txt
> Use this file to discover all available pages before exploring further.

# Quote from a token to another

> Returns the expected output amount and selected route for a token swap without executable transaction calldata.



## OpenAPI

````yaml /public/openapi.json get /api/v1/shortcuts/quote
openapi: 3.0.0
info:
  title: Enso API
  description: >-
    #### Enso API

    - Find detailed documentation on
    [docs.enso.finance](https://docs.enso.finance).

    - To use the API, **you must include your API Key in the Authorization
    header** (Bearer format).

    - For testing, Swagger pre-authorizes you using the key:
    `1e02632d-6feb-4a75-a157-documentation` (1rps).

    - Get your own API Key at
    [enso.finance/developers](https://enso.finance/developers).
  version: 1.0.1
  contact: {}
servers:
  - url: https://api.enso.build
security:
  - {}
tags:
  - name: shortcuts
    description: ''
paths:
  /api/v1/shortcuts/quote:
    get:
      tags:
        - DeFi Shortcuts
      summary: Quote from a token to another
      description: >-
        Returns the expected output amount and selected route for a token swap
        without executable transaction calldata.
      operationId: QuoteController_quote
      parameters:
        - name: chainId
          required: false
          in: query
          description: Chain ID of the network to execute the quote on
          schema:
            default: 1
            type: number
        - name: fromAddress
          required: false
          in: query
          description: Ethereum address of the wallet to quote from
          schema:
            example: '0xd8da6bf26964af9d7eed9e03e53415d37aa96045'
            type: string
        - name: tokenIn
          required: true
          in: query
          description: >-
            Ethereum address of the token to swap from. For ETH, use
            0xeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee
          schema:
            example:
              - '0xeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee'
            type: array
            items:
              type: string
        - name: tokenOut
          required: true
          in: query
          description: >-
            Ethereum address of the token to swap to. For ETH, use
            0xeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee
          schema:
            example:
              - '0x6b175474e89094c44da98b954eedeac495271d0f'
            type: array
            items:
              type: string
        - name: amountIn
          required: true
          in: query
          description: Amount of tokenIn to swap in wei
          schema:
            example:
              - '1000000000000000000'
            type: array
            items:
              type: string
        - name: routingStrategy
          required: false
          in: query
          description: Routing strategy to use
          schema:
            nullable: true
            enum:
              - ensowallet-v2
              - router
              - delegate
              - router-legacy
              - delegate-legacy
            type: string
        - name: fee
          required: false
          in: query
          description: >-
            Fee in basis points (1/10000) for each amountIn value. Must be in
            range 0-100. If specified, this percentage of each amountIn value
            will be sent to feeReceiver
          schema:
            example:
              - '100'
            type: array
            items:
              type: string
        - name: feeReceiver
          required: false
          in: query
          description: >-
            The Ethereum address that will receive the collected fee. Required
            if fee is provided
          schema:
            example: '0x220866B1A2219f40e72f5c628B65D54268cA3A9D'
            type: string
        - name: ignoreAggregators
          required: false
          in: query
          description: A list of swap aggregators to be ignored from consideration
          schema:
            nullable: true
            type: array
            items:
              type: string
        - name: ignoreStandards
          required: false
          in: query
          description: A list of standards to be ignored from consideration
          schema:
            nullable: true
            type: array
            items:
              type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QuoteEndpointResponse'
        '400':
          description: ''
components:
  schemas:
    QuoteEndpointResponse:
      type: object
      properties:
        amountOut:
          type: string
        priceImpact:
          type: number
          nullable: true
          description: Price impact in basis points, null if USD price not found
        route:
          description: The route selected for the quote
          type: array
          items:
            $ref: '#/components/schemas/Hop'
        feeAmount:
          description: An array of the fee amount collected for each tokenIn
          type: array
          items:
            type: string
        ensoFeeAmount:
          type: array
          items:
            type: string
      required:
        - amountOut
        - route
    Hop:
      type: object
      properties:
        tokenIn:
          type: array
          items:
            type: string
        tokenOut:
          type: array
          items:
            type: string
        protocol:
          type: string
        action:
          type: string
        primary:
          type: string
        internalRoutes:
          type: array
          items:
            type: string
        args:
          type: object
        chainId:
          type: number
        sourceChainId:
          type: number
        destinationChainId:
          type: number
      required:
        - tokenOut
        - protocol
        - internalRoutes
        - action
        - args
        - tokenIn
        - primary

````